Chapter 3. Using
Prev | Part I. Introduction | Next

## Chapter 3. Using

## Command Options

The set of features available in the GNU C++ library is shaped by several GCC Command Options. Options that impact libstdc++ are enumerated and detailed in the table below.

By default, g++ is equivalent to g++ -std=gnu++98. The standard library also defaults to this dialect.

Table 3.1. C++ Command Options

Option Flags | Description
--- | ---
`-std=c++98` | Use the 1998 ISO C++ standard plus amendments.
`-std=gnu++98` | As directly above, with GNU extensions.
`-std=c++0x` | Use the working draft of the upcoming ISO C++0x standard.
`-std=gnu++0x` | As directly above, with GNU extensions.
`-fexceptions` | See exception-free dialect
`-frtti` | As above, but RTTI-free dialect.
`-pthread` or `-pthreads` | For ISO C++0x <thread>, <future>, <mutex>, or <condition_variable>.
`-fopenmp` | For parallel mode.

Prev | Up | Next
Make | Home | Headers